(* glist.ml: contains some data 
   that should be "private" and 
   some "public" functions *)

(* want to make these "private" so 
   users don't monkey with them *)
let thelist = ref ["first"];;
let count = ref 1;;

(* publicly accessible functions *)
let add str =
  thelist := str :: !thelist;
  count := 1 + !count;
;;

let get_count () =
  !count
;;
