(* topmod.ml: demonstrate both bindings at the top level in a module
   and syntax for a nested module. *)

let top_val1 = "hi";;              (* value bindings in Topmod *)
let top_val2 = 42;;
let top_func1 x y =                (* function binding in Topmod *)
  x+y + x*y
;;

let same_name = "Co-exist";;       (* same as a later name *)

module Nestmod = struct            (* a nested module *)
  let nest_val1 = 1.23;;           (* value vinding in Nestmod *)
  let nest_val2 = true;;
  let nest_func1 a b =             (* function binding Nestmod *)
    (a*a,2*a*b,b*b)
  ;;

  let same_name = "Peacefully";;   (* same as previous name *)
end;;                              (* end of Nestmod module *)

let top_val3 = "tada";;            (* another value binding in Topmod *)

