(* use_listset.ml: demonstrate use of Listset.Make functor in
   listset.ml. *)
open Printf;;

module IntElem = struct                      (* interface module *)
  type elem_t = int;;
  let compare x y = x-y;;
  let elem_string = string_of_int;;
end;;

module IntListSet = Listset.Make(IntElem);;  (* call functor *)

let _ =
  let set = IntListSet.empty in
  let set = IntListSet.add set 10 in
  let set = IntListSet.add set 5 in
  let set = IntListSet.add set 12 in
  let set = IntListSet.add set 7 in
  printf "%s\n" (IntListSet.to_string set);
;;

  
